#!./scripting.exe

load("resources/scripts/config.js");

print("OK!");

c2 = new Config("examples/RD-275.cfg", true);


c = ConfigFile();
c.read("examples/RD-275.cfg");


print(c);
print(c.getCombustionChamberConditions());
print(c.getNozzleFlowOptions());
print(c.getNozzleFlowOptions().getNozzleInletConditions());
print(c.getNozzleFlowOptions().getNozzleExitConditions());
print(c.getNozzleFlowOptions().getFreezingConditions());
print(c.getNozzleFlowOptions().getEfficiencyFactors());
print(c.getNozzleFlowOptions().getAmbientConditions());
print(c.getNozzleFlowOptions().getThrottlingConditions());
print(c.getPropellant());
print("\n");

loadDatabase("resources/thermo.inp");

print(database.species("H2O2"))

prop = Propellant(2.6);
prop.addOxidizer("O2(L)");
prop.addFuel("H2(L)");

prop.print();

ch = Chamber(prop);
ch.setP(10, "MPa");
ch.solve();
print(ch.getCstar("ft/s"));

pr = Performance(c2.config());
pr.solve();

var ra = [2.5, 2.6, 2.7, 2.8, 2.9, 3.0, 3.1];

for (i=0; i<ra.length; ++i) {
    pr.getPropellant().setRatio(ra[i], "O/F");
    pr.clearForRestart();
    pr.solve();
    print("r="+pr.getPropellant().getRatio("O/F").toFixed(2)+" Is_v="+pr.getNozzleExitSection().getIs_v().toPrecision(7));
}

//pr.printResults();
